Package org.eclipse.microprofile.rest.client.tck.providers

# Class TLClientResponseFilter

java.lang.Object
org.eclipse.microprofile.rest.client.tck.providers.TLClientResponseFilter

All Implemented Interfaces:
  `jakarta.ws.rs.client.ClientResponseFilter`

public class TLClientResponseFilter extends Object implements jakarta.ws.rs.client.ClientResponseFilter

## Constructor Summary

Constructors
Constructor
Description
`TLClientResponseFilter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`filter(jakarta.ws.rs.client.ClientRequestContext reqCtx, jakarta.ws.rs.client.ClientResponseContext resCtx)`
`int`
`getThreadLocalIntDuringResponse()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TLClientResponseFilter

public TLClientResponseFilter()

## Method Details

### filter

public void filter(jakarta.ws.rs.client.ClientRequestContext reqCtx, jakarta.ws.rs.client.ClientResponseContext resCtx) throws IOException

Specified by:
  `filter` in interface `jakarta.ws.rs.client.ClientResponseFilter`
Throws:
  `IOException`

### getThreadLocalIntDuringResponse

public int getThreadLocalIntDuringResponse()